connect
Set default subreddit
Sets the default subreddit used when publishing posts for this Reddit account.
AuthorizationBearer <token>
API key authentication - use your Zernio API key as a Bearer token
In: header
Path Parameters
accountIdstring
defaultSubredditstring
Response Body
application/json
application/json
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.connect.updateRedditSubreddits({ path: { accountId: 'account_abc123', }, body: { defaultSubreddit: 'string', },});console.log(data);{
"success": true
}Empty
{
"error": "Unauthorized"
}Empty
List subreddit flairs GET
Returns available post flairs for a subreddit. Some subreddits require a flair when posting.
Connect Bluesky account POST
Connect a Bluesky account using identifier (handle or email) and an app password. To get your userId for the state parameter, call GET /v1/users which includes a currentUserId field.